Subject: Re: [PATCH 2/5] net/9p: Improve 19 size determinations

From: Al Viro <[email-masked]>
Date: Tue, 15 Aug 2017 15:21:53 +0100

On Tue, Aug 15, 2017 at 02:00:06PM +0200, SF Markus Elfring wrote:
> From: Markus Elfring <[email-masked]>
> Date: Tue, 15 Aug 2017 09:36:20 +0200
> 
> Replace the specification of data structures by variable references
> as the parameter for the operator "sizeof" to make the corresponding size
> determination a bit safer according to the Linux coding style convention.

Garbage.  This makes it so much harder to find where the objects of given
type are created.  It's _not_ safer and any patches of that sort around
VFS will be shitcanned.  What to do with net/9p patches is up to net/9p
maintainers, but I would strongly recommend the same treatment.